# Smart Contracts Tornado Cash

[Les codes permettant le fonctionnement de Tornado Cash](https://github.com/tornadocash) - _smart contracts_, circuits & outils - sont complètement **libre de droits et d'utilisation**. Cette page regroupe toutes les informations concernant les _smart-contracts_ de Tornado Cash.&#x20;

## Adresses des _smart-contracts_

### Tornado Cash Classic - Contrats de _pools_

* Ethereum _Mainnet_
* Arbitrum

| Contrat | Adresse                                                                                                              |
| ------- | -------------------------------------------------------------------------------------------------------------------- |
| 0.1 ETH | [0x84443CFd09A48AF6eF360C6976C5392aC5023a1F](https://arbiscan.io/address/0x84443CFd09A48AF6eF360C6976C5392aC5023a1F) |
| 1 ETH   | [0xd47438C816c9E7f2E2888E060936a499Af9582b3](https://arbiscan.io/address/0xd47438C816c9E7f2E2888E060936a499Af9582b3) |
| 10 ETH  | [0x330bdFADE01eE9bF63C209Ee33102DD334618e0a](https://arbiscan.io/address/0x330bdFADE01eE9bF63C209Ee33102DD334618e0a) |
| 100 ETH | [0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD](https://arbiscan.io/address/0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD) |

* Optimism

| Contrat | Adresse                                                                                                                          |
| ------- | -------------------------------------------------------------------------------------------------------------------------------- |
| 0.1 ETH | [0x84443CFd09A48AF6eF360C6976C5392aC5023a1F](https://optimistic.etherscan.io/address/0x84443CFd09A48AF6eF360C6976C5392aC5023a1F) |
| 1 ETH   | [0xd47438C816c9E7f2E2888E060936a499Af9582b3](https://optimistic.etherscan.io/address/0xd47438C816c9E7f2E2888E060936a499Af9582b3) |
| 10 ETH  | [0x330bdFADE01eE9bF63C209Ee33102DD334618e0a](https://optimistic.etherscan.io/address/0x330bdFADE01eE9bF63C209Ee33102DD334618e0a) |
| 100 ETH | [0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD](https://optimistic.etherscan.io/address/0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD) |

* BSC

| Contrat | Adresse                                                                                                              |
| ------- | -------------------------------------------------------------------------------------------------------------------- |
| 0.1 BNB | [0x84443CFd09A48AF6eF360C6976C5392aC5023a1F](https://bscscan.com/address/0x84443CFd09A48AF6eF360C6976C5392aC5023a1F) |
| 1 BNB   | [0xd47438C816c9E7f2E2888E060936a499Af9582b3](https://bscscan.com/address/0xd47438C816c9E7f2E2888E060936a499Af9582b3) |
| 10 BNB  | [0x330bdFADE01eE9bF63C209Ee33102DD334618e0a](https://bscscan.com/address/0x330bdFADE01eE9bF63C209Ee33102DD334618e0a) |
| 100 BNB | [0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD](https://bscscan.com/address/0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD) |

* xDAI

| Contrat      | Adresse                                                                                                                                           |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| 100 xDAI     | [0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD](https://blockscout.com/xdai/mainnet/address/0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD/transactions) |
| 1,000 xDAI   | [0xdf231d99Ff8b6c6CBF4E9B9a945CBAcEF9339178](https://blockscout.com/xdai/mainnet/address/0xdf231d99Ff8b6c6CBF4E9B9a945CBAcEF9339178/transactions) |
| 10,000 xDAI  | [0xaf4c0B70B2Ea9FB7487C7CbB37aDa259579fe040](https://blockscout.com/xdai/mainnet/address/0xaf4c0B70B2Ea9FB7487C7CbB37aDa259579fe040/transactions) |
| 100,000 xDAI | [0xa5C2254e4253490C54cef0a4347fddb8f75A4998](https://blockscout.com/xdai/mainnet/address/0xa5C2254e4253490C54cef0a4347fddb8f75A4998/transactions) |

* MATIC

| Contrat       | Adresse                                                                                                                  |
| ------------- | ------------------------------------------------------------------------------------------------------------------------ |
| 100 MATIC     | [0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD](https://polygonscan.com/address/0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD) |
| 1,000 MATIC   | [0xdf231d99Ff8b6c6CBF4E9B9a945CBAcEF9339178](https://polygonscan.com/address/0xdf231d99Ff8b6c6CBF4E9B9a945CBAcEF9339178) |
| 10,000 MATIC  | [0xaf4c0B70B2Ea9FB7487C7CbB37aDa259579fe040](https://polygonscan.com/address/0xaf4c0B70B2Ea9FB7487C7CbB37aDa259579fe040) |
| 100,000 MATIC | [0xa5C2254e4253490C54cef0a4347fddb8f75A4998](https://polygonscan.com/address/0xa5C2254e4253490C54cef0a4347fddb8f75A4998) |



* AVAX

| Contrat  | Adresse                                                                                                               |
| -------- | --------------------------------------------------------------------------------------------------------------------- |
| 10 AVAX  | [0x330bdFADE01eE9bF63C209Ee33102DD334618e0a](https://snowtrace.io/address/0x330bdFADE01eE9bF63C209Ee33102DD334618e0a) |
| 100 AVAX | [0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD](https://snowtrace.io/address/0x1E34A77868E19A6647b1f2F47B51ed72dEDE95DD) |
| 500 AVAX | [0xaf8d1839c3c67cf571aa74B5c12398d4901147B3](https://snowtrace.io/address/0xaf8d1839c3c67cf571aa74B5c12398d4901147B3) |



* Goerli

| Contrat        | Adresse                                                                                                                      |
| -------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| 0.1 ETH        | [0x6Bf694a291DF3FeC1f7e69701E3ab6c592435Ae7](https://goerli.etherscan.io/address/0x6Bf694a291DF3FeC1f7e69701E3ab6c592435Ae7) |
| 1 ETH          | [0x3aac1cC67c2ec5Db4eA850957b967Ba153aD6279](https://goerli.etherscan.io/address/0x3aac1cC67c2ec5Db4eA850957b967Ba153aD6279) |
| 10 ETH         | [0x723B78e67497E85279CB204544566F4dC5d2acA0](https://goerli.etherscan.io/address/0x723B78e67497E85279CB204544566F4dC5d2acA0) |
| 100 ETH        | [0x0E3A09dDA6B20aFbB34aC7cD4A6881493f3E7bf7](https://goerli.etherscan.io/address/0x0E3A09dDA6B20aFbB34aC7cD4A6881493f3E7bf7) |
| 100 DAI        | [0x76D85B4C0Fc497EeCc38902397aC608000A06607](https://goerli.etherscan.io/address/0x76D85B4C0Fc497EeCc38902397aC608000A06607) |
| 1,000 DAI      | [0xCC84179FFD19A1627E79F8648d09e095252Bc418](https://goerli.etherscan.io/address/0xCC84179FFD19A1627E79F8648d09e095252Bc418) |
| 10,000 DAI     | [0xD5d6f8D9e784d0e26222ad3834500801a68D027D](https://goerli.etherscan.io/address/0xD5d6f8D9e784d0e26222ad3834500801a68D027D) |
| 100,000 DAI    | [0x407CcEeaA7c95d2FE2250Bf9F2c105aA7AAFB512](https://goerli.etherscan.io/address/0x407CcEeaA7c95d2FE2250Bf9F2c105aA7AAFB512) |
| 5,000 cDAI     | [0x833481186f16Cece3f1Eeea1a694c42034c3a0dB](https://goerli.etherscan.io/address/0x833481186f16Cece3f1Eeea1a694c42034c3a0dB) |
| 50,000 cDAI    | [0xd8D7DE3349ccaA0Fde6298fe6D7b7d0d34586193](https://goerli.etherscan.io/address/0xd8D7DE3349ccaA0Fde6298fe6D7b7d0d34586193) |
| 500,000 cDAI   | [0x8281Aa6795aDE17C8973e1aedcA380258Bc124F9](https://goerli.etherscan.io/address/0x8281Aa6795aDE17C8973e1aedcA380258Bc124F9) |
| 5,000,000 cDAI | [0x57b2B8c82F065de8Ef5573f9730fC1449B403C9f](https://goerli.etherscan.io/address/0x57b2B8c82F065de8Ef5573f9730fC1449B403C9f) |
| 100 USDC       | [0x05E0b5B40B7b66098C2161A5EE11C5740A3A7C45](https://goerli.etherscan.io/address/0x05E0b5B40B7b66098C2161A5EE11C5740A3A7C45) |
| 1,000 USDC     | [0x23173fE8b96A4Ad8d2E17fB83EA5dcccdCa1Ae52](https://goerli.etherscan.io/address/0x23173fE8b96A4Ad8d2E17fB83EA5dcccdCa1Ae52) |
| 100 USDT       | [0x538Ab61E8A9fc1b2f93b3dd9011d662d89bE6FE6](https://goerli.etherscan.io/address/0x538Ab61E8A9fc1b2f93b3dd9011d662d89bE6FE6) |
| 1,000 USDT     | [0x94Be88213a387E992Dd87DE56950a9aef34b9448](https://goerli.etherscan.io/address/0x94Be88213a387E992Dd87DE56950a9aef34b9448) |
| 0.1 WBTC       | [0x242654336ca2205714071898f67E254EB49ACdCe](https://goerli.etherscan.io/address/0x242654336ca2205714071898f67E254EB49ACdCe) |
| 1 WBTC         | [0x776198CCF446DFa168347089d7338879273172cF](https://goerli.etherscan.io/address/0x776198CCF446DFa168347089d7338879273172cF) |
| 10 WBTC        | [0xeDC5d01286f99A066559F60a585406f3878a033e](https://goerli.etherscan.io/address/0xeDC5d01286f99A066559F60a585406f3878a033e) |

### Tornado Cash Nova - Contrats de _pools_ (beta)

| Contrat              | Adresse                                                                                                                                           |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| Contract             | [0xD692Fd2D0b2Fbd2e52CFa5B5b9424bC981C30696](https://blockscout.com/xdai/mainnet/address/0xD692Fd2D0b2Fbd2e52CFa5B5b9424bC981C30696/transactions) |
| L1 Omnibridge Helper | [0xca0840578f57fe71599d29375e16783424023357](https://etherscan.io/address/0xca0840578f57fe71599d29375e16783424023357)                             |
| Verifier 2           | [0xDF3A408c53E5078af6e8fb2A85088D46Ee09A61b](https://blockscout.com/xdai/mainnet/address/0xDF3A408c53E5078af6e8fb2A85088D46Ee09A61b/transactions) |
| Verifier 16          | [0x743494b60097A2230018079c02fe21a7B687EAA5](https://blockscout.com/xdai/mainnet/address/0x743494b60097A2230018079c02fe21a7B687EAA5/transactions) |
| Hasher               | [0x94C92F096437ab9958fC0A37F09348f30389Ae79](https://blockscout.com/xdai/mainnet/address/0x94C92F096437ab9958fC0A37F09348f30389Ae79/transactions) |

### Contrats de Gouvernance:

| Contrat                                                                    | Adresse                                                                                                                          |
| -------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| Governance Contract                                                        | [0x5efda50f22d34f262c29268506c5fa42cb56a1ce](https://etherscan.io/address/0x5efda50f22d34f262c29268506c5fa42cb56a1ce)            |
| Governance Vault (pour les TORN verrouillés sur le contrat de Gouvernance) | [0x2f50508a8a3d323b91336fa3ea6ae50e55f32185](https://etherscan.io/address/0x2f50508a8a3d323b91336fa3ea6ae50e55f32185#tokentxns)  |
| Deployer Contract                                                          | [0xCEe71753C9820f063b38FDbE4cFDAf1d3D928A80](https://etherscan.io/address/0xCEe71753C9820f063b38FDbE4cFDAf1d3D928A80)            |
| Governance Impl                                                            | [0xffbac21a641dcfe4552920138d90f3638b3c9fba](https://etherscan.io/address/0xffbac21a641dcfe4552920138d90f3638b3c9fba)            |
| Governance Vesting                                                         | [0x179f48c78f57a3a78f0608cc9197b8972921d1d2](https://etherscan.io/address/0x179f48c78f57a3a78f0608cc9197b8972921d1d2)            |
| Community Fund                                                             | [0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4](https://gnosis-safe.io/app/eth:0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4/balances) |
| TORN Token                                                                 | [0x77777feddddffc19ff86db637967013e6c6a116c](https://etherscan.io/address/0x77777feddddffc19ff86db637967013e6c6a116c)            |
| Voucher TORN Token                                                         | [0x3efa30704d2b8bbac821307230376556cf8cc39e](https://etherscan.io/address/0x3efa30704d2b8bbac821307230376556cf8cc39e)            |
| Mining v2                                                                  | [0x746aebc06d2ae31b71ac51429a19d54e797878e9](https://etherscan.io/address/0x746aebc06d2ae31b71ac51429a19d54e797878e9)            |

### Registre de Relayer

| Contrat                           | Adresse                                                                                                               |
| --------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| TornadoRooter                     | [0xd90e2f925DA726b50C4Ed8D0Fb90Ad053324F31b](https://etherscan.io/address/0xd90e2f925DA726b50C4Ed8D0Fb90Ad053324F31b) |
| Proxy de feeManagerContract       | [0x5f6c97C6AD7bdd0AE7E0Dd4ca33A4ED3fDabD4D7](https://etherscan.io/address/0x5f6c97C6AD7bdd0AE7E0Dd4ca33A4ED3fDabD4D7) |
| FeeManager                        | [0xf4B067dD14e95Bab89Be928c07Cb22E3c94E0DAA](https://etherscan.io/address/0xf4B067dD14e95Bab89Be928c07Cb22E3c94E0DAA) |
| Proxy de relayerRegistryContract  | [0x58E8dCC13BE9780fC42E8723D8EaD4CF46943dF2](https://etherscan.io/address/0x58E8dCC13BE9780fC42E8723D8EaD4CF46943dF2) |
| RelayerRegistry                   | [0x01e2919679362dFBC9ee1644Ba9C6da6D6245BB1](https://etherscan.io/address/0x01e2919679362dFBC9ee1644Ba9C6da6D6245BB1) |
| Proxy de stakingContract          | [0x2FC93484614a34f26F7970CBB94615bA109BB4bf](https://etherscan.io/address/0x2FC93484614a34f26F7970CBB94615bA109BB4bf) |
| TornadoStakingRewards             | [0x26903a5a198D571422b2b4EA08b56a37cbD68c89](https://etherscan.io/address/0x26903a5a198D571422b2b4EA08b56a37cbD68c89) |
| Proxy de instanceRegistryContract | [0xB20c66C4DE72433F3cE747b58B86830c459CA911](https://etherscan.io/address/0xB20c66C4DE72433F3cE747b58B86830c459CA911) |
| InstanceRegistry                  | [0x2573BAc39EBe2901B4389CD468F2872cF7767FAF](https://etherscan.io/address/0x2573BAc39EBe2901B4389CD468F2872cF7767FAF) |

### Autres Contracts

| Contrat              | Adresse                                                                                                               |
| -------------------- | --------------------------------------------------------------------------------------------------------------------- |
| Tornado.Cash Trees   | [0x527653ea119f3e6a1f5bd18fbf4714081d7b31ce](https://etherscan.io/address/0x527653ea119f3e6a1f5bd18fbf4714081d7b31ce) |
| Tree Update Verifier | [0x653477c392c16b0765603074f157314cc4f40c32](https://etherscan.io/address/0x653477c392c16b0765603074f157314cc4f40c32) |
| Reward Verifier      | [0x88fd245fedec4a936e700f9173454d1931b4c307](https://etherscan.io/address/0x88fd245fedec4a936e700f9173454d1931b4c307) |
| Withdraw Verifier    | [0x09193888b3f38c82dedfda55259a82c0e7de875e](https://etherscan.io/address/0x09193888b3f38c82dedfda55259a82c0e7de875e) |
| Reward Swap          | [0x5cab7692d4e94096462119ab7bf57319726eed2a](https://etherscan.io/address/0x5cab7692d4e94096462119ab7bf57319726eed2a) |
| Echoer               | [0x756c4628e57f7e7f8a459ec2752968360cf4d1aa](https://etherscan.io/address/0x756c4628e57f7e7f8a459ec2752968360cf4d1aa) |
| Proxy                | [0x722122df12d4e14e13ac3b6895a86e84145b6967](https://etherscan.io/address/0x722122df12d4e14e13ac3b6895a86e84145b6967) |
| Mixer 1              | [0x94a1b5cdb22c43faab4abeb5c74999895464ddaf](https://etherscan.io/address/0x94a1b5cdb22c43faab4abeb5c74999895464ddaf) |
| Mixer 2              | [0xb541fc07bc7619fd4062a54d96268525cbc6ffef](https://etherscan.io/address/0xb541fc07bc7619fd4062a54d96268525cbc6ffef) |
| Poseidon 2           | [0x94c92f096437ab9958fc0a37f09348f30389ae79](https://etherscan.io/address/0x94c92f096437ab9958fc0a37f09348f30389ae79) |
| Poseidon 3           | [0xd82ed8786d7c69dc7e052f7a542ab047971e73d2](https://etherscan.io/address/0xd82ed8786d7c69dc7e052f7a542ab047971e73d2) |
| Gitcoin Grants       | [0xdd4c48c0b24039969fc16d1cdf626eab821d3384](https://etherscan.io/address/0xdd4c48c0b24039969fc16d1cdf626eab821d3384) |

## Liens GitHub

* Code Tornado Cash:

{% embed url="https://github.com/tornadocash/tornado-core" %}

* Interface de lignes de commande pour mettre des transactions avec le protocole Tornado Cash:

{% embed url="https://github.com/tornadocash/tornado-cli" %}

* Pour devenir un relayer:

{% embed url="https://github.com/tornadocash/tornado-relayer" %}

* Version _Minified de l'UI_ web du protocole Tornado Cash:

{% embed url="https://github.com/tornadocash/ui-minified" %}

* Tout ce qui concerne le token TORN:

{% embed url="https://github.com/tornadocash/torn-token" %}

* Tout ce qui concerne le programme de minage d'anonymat (ce programme est terminé depuis Décembre 2021):

{% embed url="https://github.com/tornadocash/tornado-anonymity-mining" %}

_Ecrit par_ [_@ayefda_](https://torn.community/u/ayefda) _&_ [_@bt11ba_](https://torn.community/u/bt11ba/)

_Traduit par @erikA_
