# Se connecter à Tornado Cash Nova

Lancé en décembre 2021, Tornado Cash Nova offre la liberté de choisir des montants personnalisés pour les transactions, ainsi que la possibilité de transférer des tokens sans quitter le pool d'anonymat. Avec des caractéristiques aussi uniques, cette nouvelle pool nécessite son propre ensemble d'instructions, d'où la création d'un nouvel UI adapté à cela.

La version beta de Tornado Cash Nova peut être utilisée grâce à cet UI: [ nova.tornadocash.eth.link](https://nova.tornadocash.eth.link)

![](https://i.imgur.com/F8pojDs.png)

Premièrement, bienvenue sur Tornado Cash Nova et allons découvrir ensemble comment ce nouvel outil fonctionne 🌪

## Connexion <a href="#log-in-nova" id="log-in-nova"></a>

![](https://i.imgur.com/uHPTk13.png)

Vous pouvez vous connecter à votre compte Tornado Cash de deux manières:

* **connecter son wallet Metamask** avec l'adresse liée au compte Nova
* **utiliser une clé blindée** qui a été générée lors de la création de votre compte

Chaque compte est connecté à une adresse blindée (adresse blindée) unique (ainsi qu'une clé blindée unique) qui peut être utilisé pour se connecter et gérer sa balance sur Nova.

### Compte Tornado Cash Nova <a href="#tornado-cash-nova-account" id="tornado-cash-nova-account"></a>

Se connecter à Tornado Cash Nova va vous permettre de:

**Vérifier votre balance** blindée qui représente le montant de tokens dans la pool Nova,

* **Ajouter des tokens** à votre balance,
* **Transférer la propriété** des tokens à une autre adresse blindée enregistrée dans la pool,
* **Retirer n'importe quel montant** de tokens vers l'adresse de destination de votre choix

Seules les personnes qui ont accès à votre portefeuille Metamask ou à votre clé blindée pourront accéder à ces informations concernant votre compte (c'est-à-dire votre solde blindé). ⚠️ Soyez conscient des informations que vous partagez.

### Wallet MetaMask <a href="#metamask-wallet" id="metamask-wallet"></a>

Chaque compte Tornado Cash Nova est lié à une adresse _blindée_. Comme mentionné ci-dessus, les utilisateurs ont deux façons d'accéder à leur compte et à son solde. L'un de ces moyens est d'**utiliser** **un wallet MetaMask connecté à l'adresse blindée appropriée**.

![](https://i.imgur.com/idXaco8.png)

Une adresse blindée est automatiquement créée lorsque les utilisateurs se connectent à une adresse donnée, puis déposent des tokens pour alimenter le solde du pool correspondant à cette adresse.

Plus d'informations sur le Funding sont disponibles sur "Fund & Withdraw on Nova (put link)".

Cependant, les adresses blindées peuvent également être créées en se connectant simplement à une nouvelle adresse n'ayant jamais utilisé Tornado Cash Nova, puis en cliquant sur `Set up account`.

En confirmant cette action via votre wallet Metamask, votre adresse blindée sera cryptée et créée avec la génération d'une clé blindée.

![](https://i.imgur.com/8q7DYeh.png)

Dès que le compte sera créé, vous serez en capacité de recevoir des transferts de tokens shield -transferts blindés- depuis n'importe quelle autre adresse enregistré dans la pool. Vous allez aussi être capable d'ajouter des tokens, en transférer ou en retirer comme bon vous semble.

### &#x20;Clé blindée _-_Clé _shielded-_ <a href="#shielded-key" id="shielded-key"></a>

Comme vu plus haut, l'autre façon de se connecter est d'utiliser la clé blindée générée lors de la création de votre nouvelle adresse blindée.

Une fois connecté et votre compte mis en place, vous pouvez télécharger la clé blindée à n'importe quel moment en accedant aux données du compte (en cliquant sur votre adresse, à côté de votre balance blindée).

![](https://i.imgur.com/RFac1HU.png)

![](https://i.imgur.com/F2Scf8w.png)

Pour garantir une confidentialité totale, nous vous recommandons les mêmes pratiques que celles conseillées lors de l'usage de Tornado Cash Classic : [Conseils pour rester anonyme](../general/tips-to-remain-anonymous.md). Nous avons édité un article spécifique à Tornado Cash Nova qui ajoute des conseils concernant l'utilisation de cette nouvelle version : [Garantir sa vie privée sur Tornado Cash Nova](garantir-sa-vie-privee-sur-tornado-cash-nova.md).

Lisez ces deux articles attentivement :pray:

\_\_

_Ecrit par_ [_@ayefda_](https://torn.community/u/ayefda)

_Traduit par @erikA_
